function tracer(Ax, Ay, Gx, Gy, Bx, By, vect_temps_, delta_, Dtheta_, deltaF_, deltaR_, DA_,Fr_, Ff_, Ffmax_, Frmax_, Vu, Vbeta, app)
        
        cla(app.UIAxes)
        cla(app.UIAxes_1)
        cla(app.UIAxes_2)
        cla(app.UIAxes_3)
        cla(app.UIAxes_4)
        cla(app.UIAxes_5)

        plot(app.UIAxes,Ax,Ay,'b', Gx, Gy, 'r', Bx, By, 'g');
        xlabel(app.UIAxes, 'Position en x (m)');
        ylabel(app.UIAxes, 'Position en y (m)');
        title(app.UIAxes, 'Position des roues et du centre de gravité');
        legend(app.UIAxes,'Position des roues avant', 'Position centre de gravité', 'Position roue arrière');
        axis(app.UIAxes, 'equal');

        colororder(app.UIAxes_1, {'r','b'})
        yyaxis(app.UIAxes_1, 'left');
        plot(app.UIAxes_1, vect_temps_, delta_, 'LineWidth', 0.5, 'Color', 'r');
        ylabel(app.UIAxes_1, 'Angle (deg)');
        yyaxis(app.UIAxes_1, 'right');
        plot(app.UIAxes_1, vect_temps_, Dtheta_, 'LineWidth', 0.5, 'Color', 'b');
        ylabel(app.UIAxes_1, 'Vitesse Angulaire Lacet (deg/s)');
        xlabel(app.UIAxes_1, 'Temps (s)');
        title(app.UIAxes_1, 'Angle de Drive global et vitesse angulaire Lacet');
        legend(app.UIAxes_1, 'Angle de Drive global', 'Vitesse angulaire Lacet');

        plot(app.UIAxes_2, vect_temps_, Vu * 3.6, 'LineWidth', 2);
        xlabel(app.UIAxes_2, 'Temps (s)');
        ylabel(app.UIAxes_2, 'Vitesse linéaire (km/h)');
        title(app.UIAxes_2, 'Vitesse d''entrée');

        plot(app.UIAxes_3, vect_temps_, DA_, 'LineWidth', 2);
        xlabel(app.UIAxes_3, 'Temps (s)');
        ylabel(app.UIAxes_3, 'Angle (deg)');
        title(app.UIAxes_3, 'Différence des angles de Drive avant et arrière');

        plot(app.UIAxes_4, vect_temps_, Vbeta * 180 / pi, 'LineWidth', 2);
        xlabel(app.UIAxes_4, 'Temps (s)');
        ylabel(app.UIAxes_4, 'Angle de braquage (deg)');
        title(app.UIAxes_4, 'Angle de braquage en entrée');

        plot(app.UIAxes_5, deltaF_ * pi / 180, Ffmax_, deltaR_ * pi / 180, Frmax_, 'LineWidth', 2);
        xlabel(app.UIAxes_5, 'Angle de drive (rad)');
        ylabel(app.UIAxes_5, 'Force de drive latéral (N)');
        title(app.UIAxes_5, 'Force de drive latéral avant et arrière avec saturation');
        legend(app.UIAxes_5, 'Force de drive latéral avant saturée', 'Force de drive latéral arrière saturée');
end
